> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Import Job

> A `GET` to the `/imports/{importId}/jobs/{jobId}` endpoint allows your application to retrieve the details for an import job.



## OpenAPI

````yaml get /v3/imports/{import}/jobs/{job}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/imports/{import}/jobs/{job}:
    get:
      tags:
        - Import Job
      summary: Read Import Job
      description: >-
        A `GET` to the `/imports/{importId}/jobs/{jobId}` endpoint allows your
        application to retrieve the details for an import job.
      operationId: imports.jobs.show
      parameters:
        - name: import
          in: path
          required: true
          description: The import ID
          schema:
            type: integer
        - name: job
          in: path
          required: true
          description: The job ID
          schema:
            type: integer
      responses:
        '200':
          description: '`ImportJob`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportJob'
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    ImportJob:
      type: object
      properties:
        id:
          type: integer
        import_id:
          type: integer
        status:
          type: string
        handler:
          type: string
        result:
          type:
            - array
            - 'null'
          items: {}
        data:
          type:
            - array
            - 'null'
          items: {}
        total_batch_count:
          type:
            - integer
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - import_id
        - status
        - handler
        - result
        - data
        - total_batch_count
        - created_at
        - updated_at
      title: ImportJob
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````